Subject: bug#20298: closed (Re: bug#20298: Missing public key for 24.5)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Apr 2015 13:26:07 +0000

Your bug report

#20298: Missing public key for 24.5

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20298: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20298
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20298: Missing public key for 24.5
From: Nicolas Petton <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Mehmet Atif Ergun <[email-masked]>
Date: Wed, 29 Apr 2015 15:25:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris writes:

> Mehmet Atif Ergun wrote:
>
>> I tried to verify the new (emacs-24.5) release but the public key that
>> signed the file is missing in the gnu keyring. The 24.4 had the same
>> problem (the signature for 24.4 belonged to a @gnu.org address.
>
> Nobody here can do anything about that, it's a GNU sysadmin issue.

My key has been added to the keyring on the FTP server.  I'm closing
this issue.

Nico
-- 
Nicolas Petton
http://nicolas-petton.fr

Subject: Missing public key for 24.5
From: Mehmet Atif Ergun <[email-masked]>
To: [email-masked]
Date: Fri, 10 Apr 2015 16:25:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I tried to verify the new (emacs-24.5) release but the public key that
signed the file is missing in the gnu keyring. The 24.4 had the same
problem (the signature for 24.4 belonged to a @gnu.org address. This
one belongs to a gmail address (Nicolas Petton
<[email-masked]>, see below).)

The file:
https://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.xz

The signature:
https://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.xz.sig

The keyring:
https://ftp.gnu.org/gnu/gnu-keyring.gpg

The output:
$ gpg --verify --keyring ./gnu-keyring.gpg emacs-24.4.tar.xz.sig
gpg: Signature made Mon 20 Oct 2014 02:58:21 PM EDT
gpg:                using RSA key 0x6592E9A3A0B0F199
gpg: Can't check signature: public key not found

$ gpg --verify --keyring ./gnu-keyring.gpg emacs-24.5.tar.xz.sig
gpg: Signature made Fri 10 Apr 2015 12:57:02 PM EDT
gpg:                using RSA key 0x233587A47C207910
gpg: Can't check signature: public key not found

The output I was expecting was along the lines of:
gpg: Good signature from .....

Thanks,
Mehmet.